Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class NullImplementation.NullActionPolicy

`java.lang.Object
com.tangosol.util.NullImplementation.NullActionPolicy`

All Implemented Interfaces:
  ActionPolicy

Enclosing class:
  NullImplementation

      public static class NullImplementation.NullActionPolicy

extends Object
implements ActionPolicy

An implementation of an ActionPolicy that allows all actions.

Field Summary
`static ActionPolicy` | `INSTANCE` Singleton instance.

Constructor Summary
`NullImplementation.NullActionPolicy()`

Method Summary
`void` | `init(Service service)` Called when the specified service loads and configures this policy.
`boolean` | `isAllowed(Service service, Action action)` Evaluate if the specified action is currently allowed by this policy.
`String` | `toString()` Return a human-readable String representation of this ActionPolicy.

Field Detail

### INSTANCE

    public static final ActionPolicy INSTANCE

  Singleton instance.

Constructor Detail

### NullImplementation.NullActionPolicy

    public NullImplementation.NullActionPolicy()

Method Detail

### init

    public void init(Service service)

  Called when the specified service loads and configures this policy. <p/> Note: A policy could be applied to multiple services.
  Specified by:
    `init` in interface `ActionPolicy`
  Parameters:
    `service` - the service that this policy applies to

### isAllowed

    public boolean isAllowed(Service service,
                             Action action)

  Evaluate if the specified action is currently allowed by this policy. <p/> Note: for forward compatibility, implementations should generally return `true` for actions that are not recognized.
  Specified by:
    `isAllowed` in interface `ActionPolicy`
  Parameters:
    `service` - the service that is performing the action
    `action` - the action that is being performed
  Returns:
    true iff the specified action is currently allowed by this policy

### toString

    public String toString()

  Return a human-readable String representation of this ActionPolicy. <p/> Note: this method may be used to provide information about this ActionPolicy to management interfaces.
  Specified by:
    `toString` in interface `ActionPolicy`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.